Name:           fwbuilder
Version:        5.3.7
Release:        1%{?dist}
Summary:        Firewall Builder

License:        GPL-2.0-or-later
URL:            http://www.fwbuilder.org/
Source0:        fwbuilder-5.3.7.tar.gz
Patch0:		0001-C-exception-specifications-are-deprecated-in-C-11.patch
Patch1:		fix-bsc1124647-segfault.patch
Patch2:		fwbuilder-qmake-without-flags.patch

BuildRequires:  qt5-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  git-core
BuildRequires:  hicolor-icon-theme
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  net-snmp-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)

Requires:       desktop-file-utils

%description
Firewall Builder consists of a GUI and set of policy compilers for
various firewall platforms. It helps users maintain a database of
objects and allows policy editing using simple drag-and-drop
operations. The GUI generates a firewall description in the form of an XML
file, which compilers then interpret and generate platform-specific
code. Several algorithms are provided for automated network object
discovery and bulk import of data. The GUI and policy compilers are
independent of another.


%prep
%autosetup -p1

%build
NOCONFIGURE=1 ./autogen.sh "--with-qmake=qmake-qt5"
%configure \
    --with-qmake=qmake-qt5 \
    --with-docdir=%{_docdir}/%{name}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_ROOT=%{buildroot} install

%files
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_docdir}/%{name}
%{_datadir}/%{name}-%{version}
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/*
%dir %{_datadir}/icons/hicolor/*/apps
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man1/fwb*

%changelog
* Wed Mar 06 2024 Eugene Misnik <eugene.misnik@habital.lv>
- Create spec file for AlmaLinux 9
- Build using Qt5 instead of Qt4
- Replace openssl-devel BuildRequires with pkgconfig(openssl):
  allow OBS to fallback to openssl 1.0, since this tool links Qt4
  (which is known not to be compatible with openssl 1.1).
- Removed item from change log that shouldn't have been
  allowed via request 450449 it's not allowed to change
  and sertianly not insert changes in the changes file
- Fix linguistic issues in description
- Removed the service files as they are not compatible with opensuse
  they will for instance break the network settings
  As the script generated by fwbuilders includes iptables rules
  as wel as network interface settings
- Use the Source link
- Revert the source split as it's not prefered
- split package
  * build fwbuilder-service independently from fwbuilder
  * update changes file
- Update to 5.3.7
  * iptables:
  - Feature: fwbuilder now supports conntrack instead of state module for recent
 iptables
  - Feature: Add support for the iptables > 1.4.20 "-w" option
  - Bugfix: Fixed (potential) deadlock situation as sugested by https://github.c
om/antaflos
  - Bugfix: Proper handling of NAT chains
  - Feature: Add support for --kerneltz
  * junos:
  - Bugfix: Generated new ids for the IP fragmentation service objects in the st
andard object database
  - Bugfix: Use correct comment symbol
  * gui:
  - Bugfix: Don't delete object in locked group
  - Feature: Add new objects directly to the subfolder via context menu
  * compiler:
  - Feature: Add support for MSYS2
  - Update OSX buildscript for newer XCode
  - Feature: Add support for GCC 6.X
  - Refactor: Gain more C++11 compatability
  - Feature: W32: Add support for MXE and provide Docker environment for cross c
ompiling
- add subpackage service/SysVinit
  * added systemd service / SysVinit file
  * added default file, which will be overwritten (sent) by
    fwbuilder GUI
  * noarch package
- Build version 5.3.6 from the github repo
  * Several bugfixes for Junos, including rollback on syntax error,
    correct netmask for host objects and ssh password prompt lock-up
  * Support for Junos Access lists
  * Search for objects by port number or ip addres
  * View graphical diff and autocompile firewall when loading file
  * Support for Cisco NXOS Access lists
  * Added support for dummy objects in rules
  * Port to Qt5
- Deleted fwbuilder-gcc47.patch as it's not needed any more.
  The code has been fixed.
- Use url for source
- Use macros for updating of desktop files and icons
- license update: GPL-2.0+
- Added automake and libtool as build requirement
- Used fdupes to get rid of duplicate files
- Libfwbuilder doesn't exist anymore for a long time,
  that's why the obsoletes removed
- Build version 5.0.1.3592
- Build version 5.0.0.3568
- Build version 4.2.2.3541
- Build version 4.2.0.3530
- build release 3.0.5
- Initial version by Vadim Kurland <vadim@fwbuilder.org>
